Subject: bug#28339: 25.2; Emacs shows ZWNJ character (Zero Width non-Joiner) as Space

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Sep 2017 20:06:33 +0300

> From: Nima Aryan <[email-masked]>
> Date: Sun, 03 Sep 2017 15:57:34 +0000
> 
> I'm trying to write a XeLaTeX document using Emacs+AUCTex. Everything is awesome except this issue
> which Emacs do not show ZWNJ character. However it write it correctly in the file when I save the document
> and I'm able to see the characters correctly when I open it in other editors. 
> 
> I've tested in different conditions (fresh Emacs with default settings, different fonts, even with new user) but
> the problem exists. This problem is specific to Emacs and I've no such problem in other editors. 

Emacs traditionally tries not to hide characters from the user.
However, this is just the default, and you can customize it: the
variable 'glyphless-char-display-control' controls how this and other
similar characters are shown.

OK?